Potential of creating a pypy-pip package using this source

Bug #1704229 reported by Teg on 2017-07-13
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pypy (Ubuntu)
Undecided
Unassigned
python-pip (Ubuntu)
Undecided
Unassigned

Bug Description

There are currently packages for "python-pip" and "python3-pip" in the repositories, but can you please consider adding a "pypy-pip" package as well to be in line with the "pypy-setuptools" package? I ask because it would be nice to have pypy added to the python plugin for Snapcraft and as of right now, the only missing package is "pypy-pip" as there are already "pypy-dev", "pypy-pkg-resources", and "pypy-setuptools" packages.

Since Snapcraft only supports Ubuntu 16.04 and above, we may only need to build "pypy-pip" for Xenial and above. Please let me know if this is possible as I would love to see a greater adoption of PyPy. Thanks!

tags: added: packaging
Teg (tegskywalker) wrote :

May want to also package pypy-pip-whl as it is a dependency of python-pip.

Stefano Rivera (stefanor) wrote :

The recommended approach is to create a virtualenv (virtualenv -p pypy my-virtualenv). This will have pip in it.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers